curl https://production.methodfi.com/accounts/acc_GAzrD99cUqGEN/payment_instruments/pmt_inst_cLbaArHhfDBDf \
-X PUT \
-H "Method-Version: 2026-03-30" \
-H "Authorization: Bearer YOUR_API_KEY" \
-H "Content-Type: application/json" \
-d '{
"inbound_achwire_payment": {
"reversal_account": "acc_BcRdHNjb9TYKY"
}
}'
{
"success": true,
"data": {
"id": "pmt_inst_cLbaArHhfDBDf",
"account_id": "acc_GAzrD99cUqGEN",
"type": "inbound_achwire_payment",
"card": null,
"network_token": null,
"inbound_achwire_payment": {
"account_number": "2517228863",
"routing_number": "026015244",
"reversal_account": "acc_BcRdHNjb9TYKY"
},
"chargeable": true,
"status": "completed",
"error": null,
"created_at": "2026-11-04T15:00:00.000Z",
"updated_at": "2026-11-04T16:00:00.000Z"
},
"message": null
}
Payment Instruments
Update Payment Instrument
PUT
/
accounts
/
{acc_id}
/
payment_instruments
/
{pmt_inst_id}
curl https://production.methodfi.com/accounts/acc_GAzrD99cUqGEN/payment_instruments/pmt_inst_cLbaArHhfDBDf \
-X PUT \
-H "Method-Version: 2026-03-30" \
-H "Authorization: Bearer YOUR_API_KEY" \
-H "Content-Type: application/json" \
-d '{
"inbound_achwire_payment": {
"reversal_account": "acc_BcRdHNjb9TYKY"
}
}'
{
"success": true,
"data": {
"id": "pmt_inst_cLbaArHhfDBDf",
"account_id": "acc_GAzrD99cUqGEN",
"type": "inbound_achwire_payment",
"card": null,
"network_token": null,
"inbound_achwire_payment": {
"account_number": "2517228863",
"routing_number": "026015244",
"reversal_account": "acc_BcRdHNjb9TYKY"
},
"chargeable": true,
"status": "completed",
"error": null,
"created_at": "2026-11-04T15:00:00.000Z",
"updated_at": "2026-11-04T16:00:00.000Z"
},
"message": null
}
Updates the reversal Account for a completed PaymentInstrument of type
inbound_achwire_payment. The current reversal Account must be unset or match your team’s current default reversal Account.
The change applies to future Payments. Existing Payments and reversals in progress retain their original reversal Account.
Operation Type:
Path Parameters
Request Body Parameters
Returns
Returns the updated PaymentInstrument object and emits apayment_instrument.update webhook. Requesting the current reversal Account succeeds without another update or webhook.
See Payment Instrument Errors for error responses.
curl https://production.methodfi.com/accounts/acc_GAzrD99cUqGEN/payment_instruments/pmt_inst_cLbaArHhfDBDf \
-X PUT \
-H "Method-Version: 2026-03-30" \
-H "Authorization: Bearer YOUR_API_KEY" \
-H "Content-Type: application/json" \
-d '{
"inbound_achwire_payment": {
"reversal_account": "acc_BcRdHNjb9TYKY"
}
}'
{
"success": true,
"data": {
"id": "pmt_inst_cLbaArHhfDBDf",
"account_id": "acc_GAzrD99cUqGEN",
"type": "inbound_achwire_payment",
"card": null,
"network_token": null,
"inbound_achwire_payment": {
"account_number": "2517228863",
"routing_number": "026015244",
"reversal_account": "acc_BcRdHNjb9TYKY"
},
"chargeable": true,
"status": "completed",
"error": null,
"created_at": "2026-11-04T15:00:00.000Z",
"updated_at": "2026-11-04T16:00:00.000Z"
},
"message": null
}